Main Page Class Hierarchy Compound List File List Compound Members

# Reference Class Reference

Base class for References to structures. More...

`#include <referenc.h>`

Inheritance diagram for Reference:

List of all members.

## Public Methods
virtual BoundingBox & | CalcBoundingBox ()=0
| calculate the bounding box
virtual BoundingBox & | GetBoundingBox ()
| get the boundingbox
Structure * | GetStructure ()
wxPropertySheet * | GetPropList ()
| get property list
void | UpdatePropList ()
| update property list , removinf predefined properties (mostly members of object)

## Detailed Description

Base class for References to structures.

Each structure is a drawing by itself, a refrence within a structure, points to another structure, to placed within the current structure at the given point. Reference can be of type: ArrayReference StructureReference

The documentation for this class was generated from the following file:

- referenc.h

Reference class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page